## ros-melodic-rosapi 0.11.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosapi)

find_package(catkin REQUIRED COMPONENTS message_generation)
catkin_python_setup()

add_message_files(
  FILES
  TypeDef.msg
)

add_service_files(
  FILES
  DeleteParam.srv
  GetActionServers.srv
  GetParam.srv
  GetParamNames.srv
  GetTime.srv
  HasParam.srv
  MessageDetails.srv
  Nodes.srv
  NodeDetails.srv
  Publishers.srv
  SearchParam.srv
  ServiceHost.srv
  ServiceNode.srv
  ServiceProviders.srv
  ServiceRequestDetails.srv
  ServiceResponseDetails.srv
  Services.srv
  ServicesForType.srv
  ServiceType.srv
  SetParam.srv
  Subscribers.srv
  Topics.srv
  TopicsAndRawTypes.srv
  TopicsForType.srv
  TopicType.srv
)

generate_messages(
  DEPENDENCIES
)

catkin_package(
  CATKIN_DEPENDS message_runtime
)

catkin_install_python(PROGRAMS scripts/rosapi_node
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-rosapi (0.11.12-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Nov 2020 05:00:00 -0000

ros-melodic-rosapi (0.11.11-1stretch) stretch; urgency=high

  * Evaluate filter() generator before returning in get_param_names() which is required when using python3. Fixes #527 <https://github.com/RobotWebTools/rosbridge_suite/issues/527>. (#540 <https://github.com/RobotWebTools/rosbridge_suite/issues/540>)
  * Contributors: Steve Golton

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Nov 2020 05:00:00 -0000

ros-melodic-rosapi (0.11.10-1stretch) stretch; urgency=high

  * Fixed filter_globs for noetic (#506 <https://github.com/RobotWebTools/rosbridge_suite/issues/506>)
    Service calls with non empty requests (e.g. /rosapi/topics_for_type) were crashing due to filter's return type in python 3.
  * Contributors: foreignrobot

 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Sep 2020 04:00:00 -0000

ros-melodic-rosapi (0.11.9-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 27 May 2020 04:00:00 -0000

ros-melodic-rosapi (0.11.8-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 21 May 2020 04:00:00 -0000

ros-melodic-rosapi (0.11.7-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 13 May 2020 04:00:00 -0000

ros-melodic-rosapi (0.11.6-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Apr 2020 04:00:00 -0000

ros-melodic-rosapi (0.11.5-1stretch) stretch; urgency=high

  * Python 3 updates/fixes (#460 <https://github.com/RobotWebTools/rosbridge_suite/issues/460>)
    * rosbridge_library, rosbridge_server: Update package format
    Add Python3 conditional dependencies where applicable.
    * rosbridge_library: Fix pngcompression for Python 3
    * rosapi: Use catkin_install_python for scripts
  * Contributors: Alexey Rogachevskiy

 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 Apr 2020 04:00:00 -0000

ros-melodic-rosapi (0.11.4-1stretch) stretch; urgency=high

  * Add cbor-raw compression (#452 <https://github.com/RobotWebTools/rosbridge_suite/issues/452>)
    The CBOR compression is already a huge win over JSON or PNG encoding,
    but it’s still suboptimal in some situations. This PR adds support for
    getting messages in their raw binary (ROS-serialized) format. This has
    benefits in the following cases:
    - Your application already knows how to parse messages in bag files
    (e.g. using [rosbag.js](https://github.com/cruise-automation/rosbag.js),
    which means that now you can use consistent code paths for both bags
    and live messages.
    - You want to parse messages as late as possible, or in parallel, e.g.
    only in the thread or WebWorker that cares about the message. Delaying
    the parsing of the message means that moving or copying the message to
    the thread is cheaper when its in binary form, since no serialization
    between threads is necessary.
    - You only care about part of the message, and don't need to parse the
    rest of it.
    - You really care about performance; no conversion between the ROS
    binary format and CBOR is done in the rosbridge_sever.
  * Fix rosapi get_action_servers (#429 <https://github.com/RobotWebTools/rosbridge_suite/issues/429>)
    The currently used proxy.get_topics function does not exists and results in the following error: "AttributeError: 'module' object has no attribute 'get_topics'n"
    This change uses the existing get_topics_and_types method to get a list of topics.
  * Contributors: Jan Paul Posma, Jørgen Borgesen

 -- Russell Toris <rctoris@wpi.edu>  Thu, 20 Feb 2020 05:00:00 -0000

ros-melodic-rosapi (0.11.3-1stretch) stretch; urgency=high

  * Travis CI: Look for Python syntax errors and undefined name (#420 <https://github.com/RobotWebTools/rosbridge_suite/issues/420>)
    * Travis CI: Look for Python syntax errors and undefined name
    _It would be prudent to start running the tests in both 2 and 3._  https://github.com/RobotWebTools/rosbridge_suite/issues/401#issuecomment-512069249
    * Add names to protect the guilty
    * Five jobs, not six
    * Identity is not the same thing as equality in Python
    * Flake8 tests now pass on Python 2
  * Contributors: cclauss

 -- Russell Toris <rctoris@wpi.edu>  Wed, 07 Aug 2019 04:00:00 -0000

ros-melodic-rosapi (0.11.2-1stretch) stretch; urgency=high

  * constnames and constvalues in typedef (#412 <https://github.com/RobotWebTools/rosbridge_suite/issues/412>)
  * Contributors: Kad91

 -- Russell Toris <rctoris@wpi.edu>  Mon, 08 Jul 2019 04:00:00 -0000

ros-melodic-rosapi (0.11.1-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 May 2019 04:00:00 -0000

ros-melodic-rosapi (0.11.0-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 29 Mar 2019 04:00:00 -0000

ros-melodic-rosapi (0.10.2-1stretch) stretch; urgency=high

  * Use Master.getTopicTypes() in /rosapi/topics to increase performance (#381 <https://github.com/RobotWebTools/rosbridge_suite/issues/381>)
  * Contributors: Affonso, Guilherme

 -- Russell Toris <rctoris@wpi.edu>  Mon, 04 Mar 2019 05:00:00 -0000

ros-melodic-rosapi (0.10.1-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 16 Dec 2018 05:00:00 -0000

ros-melodic-rosapi (0.10.0-1stretch) stretch; urgency=high

  * Drop use of ros Python module (#374 <https://github.com/RobotWebTools/rosbridge_suite/issues/374>)
  * Fixes passing of globs to proxy (#355 <https://github.com/RobotWebTools/rosbridge_suite/issues/355>)
    * Fixes handling and passing of globs to proxy
    * Removes some confusing imports
  * Fix a few problems (#350 <https://github.com/RobotWebTools/rosbridge_suite/issues/350>)
    * xrange is not available in Python3, range works for both Python versions
    * the variable v is undefined in search_param, comparing the implementation with the sibling functions I expect name to be the intended variable


=== debian/control ===
Source: ros-melodic-rosapi
Section: misc
Priority: optional
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation
Homepage: http://ros.org/wiki/rosapi
Standards-Version: 3.9.2

Package: ros-melodic-rosapi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-rosbridge-library, ros-melodic-rosgraph, ros-melodic-rosnode, ros-melodic-rospy
Description: Provides service calls for getting ros meta-information, like list of topics, services, params, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rosapi//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-rosapi 0.11.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(rosapi)
 
 find_package(catkin REQUIRED COMPONENTS message_generation)

=== debian/changelog ===
ros-melodic-rosapi (0.11.16-2bionic) bionic; urgency=high

  * Bump minimum required cmake version. (#814 <https://github.com/RobotWebTools/rosbridge_suite/issues/814>)
  * Contributors: Hans-Joachim Krauch

 -- Russell Toris <rctoris@wpi.edu>  Tue, 18 Oct 2022 03:00:00 -0000

ros-melodic-rosapi (0.11.15-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 06 Oct 2022 03:00:00 -0000

ros-melodic-rosapi (0.11.14-2bionic) bionic; urgency=high

  * Small fixes (#681 <https://github.com/RobotWebTools/rosbridge_suite/issues/681>)
  * Contributors: Matthijs van der Burgh

 -- Russell Toris <rctoris@wpi.edu>  Mon, 13 Jun 2022 03:00:00 -0000

ros-melodic-rosapi (0.11.13-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Dec 2020 03:00:00 -0000

ros-melodic-rosapi (0.11.12-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Nov 2020 03:00:00 -0000

ros-melodic-rosapi (0.11.11-2bionic) bionic; urgency=high

  * Evaluate filter() generator before returning in get_param_names() which is required when using python3. Fixes #527 <https://github.com/RobotWebTools/rosbridge_suite/issues/527>. (#540 <https://github.com/RobotWebTools/rosbridge_suite/issues/540>)
  * Contributors: Steve Golton

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Nov 2020 03:00:00 -0000

ros-melodic-rosapi (0.11.10-2bionic) bionic; urgency=high

  * Fixed filter_globs for noetic (#506 <https://github.com/RobotWebTools/rosbridge_suite/issues/506>)
    Service calls with non empty requests (e.g. /rosapi/topics_for_type) were crashing due to filter's return type in python 3.
  * Contributors: foreignrobot

 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Sep 2020 03:00:00 -0000

ros-melodic-rosapi (0.11.9-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 27 May 2020 03:00:00 -0000

ros-melodic-rosapi (0.11.8-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 21 May 2020 03:00:00 -0000

ros-melodic-rosapi (0.11.7-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 13 May 2020 03:00:00 -0000

ros-melodic-rosapi (0.11.6-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Apr 2020 03:00:00 -0000

ros-melodic-rosapi (0.11.5-2bionic) bionic; urgency=high

  * Python 3 updates/fixes (#460 <https://github.com/RobotWebTools/rosbridge_suite/issues/460>)
    * rosbridge_library, rosbridge_server: Update package format
    Add Python3 conditional dependencies where applicable.
    * rosbridge_library: Fix pngcompression for Python 3
    * rosapi: Use catkin_install_python for scripts
  * Contributors: Alexey Rogachevskiy

 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 Apr 2020 03:00:00 -0000

ros-melodic-rosapi (0.11.4-2bionic) bionic; urgency=high

  * Add cbor-raw compression (#452 <https://github.com/RobotWebTools/rosbridge_suite/issues/452>)
    The CBOR compression is already a huge win over JSON or PNG encoding,
    but it’s still suboptimal in some situations. This PR adds support for
    getting messages in their raw binary (ROS-serialized) format. This has
    benefits in the following cases:
    - Your application already knows how to parse messages in bag files
    (e.g. using [rosbag.js](https://github.com/cruise-automation/rosbag.js),
    which means that now you can use consistent code paths for both bags
    and live messages.
    - You want to parse messages as late as possible, or in parallel, e.g.
    only in the thread or WebWorker that cares about the message. Delaying
    the parsing of the message means that moving or copying the message to
    the thread is cheaper when its in binary form, since no serialization
    between threads is necessary.
    - You only care about part of the message, and don't need to parse the
    rest of it.
    - You really care about performance; no conversion between the ROS
    binary format and CBOR is done in the rosbridge_sever.
  * Fix rosapi get_action_servers (#429 <https://github.com/RobotWebTools/rosbridge_suite/issues/429>)
    The currently used proxy.get_topics function does not exists and results in the following error: "AttributeError: 'module' object has no attribute 'get_topics'n"
    This change uses the existing get_topics_and_types method to get a list of topics.
  * Contributors: Jan Paul Posma, Jørgen Borgesen

 -- Russell Toris <rctoris@wpi.edu>  Thu, 20 Feb 2020 03:00:00 -0000

ros-melodic-rosapi (0.11.3-2bionic) bionic; urgency=high

  * Travis CI: Look for Python syntax errors and undefined name (#420 <https://github.com/RobotWebTools/rosbridge_suite/issues/420>)
    * Travis CI: Look for Python syntax errors and undefined name
    _It would be prudent to start running the tests in both 2 and 3._  https://github.com/RobotWebTools/rosbridge_suite/issues/401#issuecomment-512069249
    * Add names to protect the guilty
    * Five jobs, not six
    * Identity is not the same thing as equality in Python
    * Flake8 tests now pass on Python 2
  * Contributors: cclauss

 -- Russell Toris <rctoris@wpi.edu>  Wed, 07 Aug 2019 03:00:00 -0000

ros-melodic-rosapi (0.11.2-2bionic) bionic; urgency=high

  * constnames and constvalues in typedef (#412 <https://github.com/RobotWebTools/rosbridge_suite/issues/412>)
  * Contributors: Kad91

 -- Russell Toris <rctoris@wpi.edu>  Mon, 08 Jul 2019 03:00:00 -0000

ros-melodic-rosapi (0.11.1-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 May 2019 03:00:00 -0000

ros-melodic-rosapi (0.11.0-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 29 Mar 2019 03:00:00 -0000

ros-melodic-rosapi (0.10.2-2bionic) bionic; urgency=high

  * Use Master.getTopicTypes() in /rosapi/topics to increase performance (#381 <https://github.com/RobotWebTools/rosbridge_suite/issues/381>)
  * Contributors: Affonso, Guilherme

 -- Russell Toris <rctoris@wpi.edu>  Mon, 04 Mar 2019 03:00:00 -0000

ros-melodic-rosapi (0.10.1-2bionic) bionic; urgency=high



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Russell Toris <rctoris@wpi.edu>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation
+Build-Depends: debhelper (>= 9.0.0), python-setuptools, ros-melodic-catkin, ros-melodic-message-generation
 Homepage: http://ros.org/wiki/rosapi
 Standards-Version: 3.9.2
